Bug 77293 - lack of ttmkfdir documentation or man page
lack of ttmkfdir documentation or man page
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-04 14:01 EST by Gene Czarcinski
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-04 14:02:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2002-11-04 14:01:56 EST
Description of Problem:
The mkfontscale man page refers to the ttmkfdir man page.  There is a complete
lack of when/why/what/who information available for ttmkfdir.

Furthermore, ttmkfdir is not even used consistantly. It is used by the
XFree86-truetype-fonts package but not by the openoffice package for its
truetype fonts.
Comment 1 Mike A. Harris 2002-11-05 05:42:13 EST
There's no compelling reason to create a ttmkfdir manpage at this point,
as ttmkfdir has been deprecated, and will be replaced by mkfontscale in
the future.  Even though mkfontscale might still refer to the ttmkfdir
page, if we're not shipping ttmkfdir, we wont be shipping or creating
a manpage for it either.

If ttmkfdir is not used consistently, please file bug reports against the
specific packages that are not using it consistently.  The XFree86
packaging is the official Red Hat defacto way of using ttmkfdir, and if
any other packages aren't following my standard, they are wrong and
broken.  I've babysat a few other font packages in the past, but can't
keep up with everyone elses packages.  They need to take some responsibility
and call ttmkfdir properly like it is in XFree86 packaging.  That includes
openoffice.

However, if you report bugs against these packages, please note in the
bug report that ttmkfdir is disappearing also.  It'll help save me
some effort later on.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.